%define	prefix		%{_prefix}
# XXX is this right - it was /var/lib before FHS macros
%define _localstatedir	/var/lib
%define enable_japanese 1

Name:		gnome-core
Version: 	1.4.0.4
Epoch:          1
Release:	38
Copyright:	LGPL/GPL
Group: System Environment/Libraries
Summary: The core programs for the GNOME GUI desktop environment.
Source: 	ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{version}.tar.gz
Source1:	gnome-ccdesktop.png
Source2:	gnome-devel.png
Source3:	gnome-gnomoku.png
Source4:	gnome-multimedia.png
Source5:	gnome-panel.png
Source8:	gnome-util.png
Source9:        gnome-upgrade.py
Source10:       gnome-upgrade.glade
Source11:       netscape.png
Source12:	default.in
Source14:       lighthouse-splash.png
Source15:       sawmill-replace.sh
Source16:       gnome-core-pofiles.tar.gz
Source17:       gnome-core-files.tar.gz
URL:		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	gdk-pixbuf >= 0.7.0
Requires:       pygnome-libglade >= 0.6
Requires:       sawfish
Requires:	gnome-libs >= 1.2.0
BuildRequires:  control-center-devel gnome-libs-devel libxml-devel gdk-pixbuf-devel gnome-print-devel

# Red Hat patches
Patch1:		gnome-core-1.4.0.4-swapbs.patch
Patch2:		gnome-core-1.0.54-smallfont.patch
Patch3:         gnome-core-1.2.1-mergerhmenus.patch
Patch4:		gnome-core-1.4.0.1-upgrader.patch
Patch5:		gnome-core-1.2.1-nodesktops.patch
Patch8:        gnome-core-1.4.0.4-extrapixmaps.patch
Patch9:        gnome-core-1.2.1-rectfix.patch
# Japanese patch
Patch11:	gnome-core-1.4.0.4-terminal_mb-0.5.patch
Patch12:	gnome-core-1.2.1-japanese-default-page.patch
Patch14:        gnome-core-1.4.0.4-defaultapplets.patch
Patch15:        gnome-core-1.4.0.4-redhatdefaults.patch
Patch17:        gnome-core-1.4.0.1-kdesubmenus.patch
Patch20:        gnome-core-1.4.0.4-norootscreensaver.patch
Patch21:        gnome-core-1.4.0.1-changeaccels.patch
Patch22:        gnome-core-1.4.0.4-nothumbnailing.patch
Patch23:	gnome-core-1.4.0.4-nohttp.patch
Patch25:	gnome-core-1.2.4-newinfopath.patch
Patch29:        gnome-core-1.2.4-noanotherlevel.patch
Patch30:        gnome-core-1.4.0.1-multibyte.patch
Patch31:	gnome-core-1.4.0.1-bettername.patch
Patch34:        gnome-core-1.4.0.4-rhsplashimage.patch
Patch35:        gnome-core-1.4.0.4-magicdev.patch
Patch38:        gnome-core-1.4.0.4-starthere.patch
Patch40:        gnome-core-1.4.0.4-nonoxalf.patch
Patch41:        gnome-core-1.4.0.4-clockicon.patch
Patch42:        gnome-core-1.4.0.4-synctocvs.patch
Patch43:        gnome-core-1.4.0.4-nonewsubdirs.patch
Patch45:        gnome-core-1.4.0.4-noautosave.patch
Patch46:        gnome-core-1.4.0.4-defaultmagicdev.patch
Patch47:        gnome-core-1.4.0.4-handlenopanel.patch
Patch48:        gnome-core-1.4.0.4-nohint.patch
Patch49:        gnome-core-1.4.0.4-killoafd.patch
Patch50:        gnome-core-1.4.0.4-var-run.patch
Patch51:        gnome-core-1.4.0.4-rundialog.patch
Patch52:        gnome-core-1.4.0.4-translatefont.patch
Patch53:        gnome-core-1.4.0.4-programsname.patch
Patch54:        gnome-core-1.4.0.4-nodesktopatall.patch
Patch55:        gnome-core-1.4.0.4-winlayer.patch

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. GNOME is similar in purpose and
scope to CDE and KDE, but GNOME is based completely on Open Source
software. The gnome-core package includes the basic programs and
libraries that are needed to install GNOME.

Install the gnome-core package if you want to use the GNOME desktop
environment. You will also need to install the gnome-libs package.
If you would like to develop GNOME applications, you will also need to
install gnome-libs-devel. If you want to use linuxconf with a GNOME
front end, you will also need to install the gnome-linuxconf package.

%package devel
Summary: GNOME core libraries, headers and more.
Group: Development/Libraries
Requires:	%{name} = %{version}

%description devel
Panel libraries and header files for creating GNOME panels.


%prep
%setup -q
cp %{SOURCE1} pixmaps/
cp %{SOURCE2} pixmaps/
cp %{SOURCE3} pixmaps/
cp %{SOURCE4} pixmaps/
cp %{SOURCE5} pixmaps/
cp %{SOURCE8} pixmaps/
cp %{SOURCE11} pixmaps/
cp %{SOURCE12} gsm/
cp %{SOURCE14} pixmaps/

%patch42 -p1 -b .synctocvs
## unpack new files from CVS (remove once we have new panel release)
tar zxf %{SOURCE17}
## unpack pofiles
tar zxf %{SOURCE16}

%patch43 -p1 -b .nonewsubdirs
%patch1 -p1 -b .swapbs
%patch2 -p1 -b .smallfont
## %patch3 -p1 -b .mergerhmenus
%patch4 -p1 -b .upgrader
%patch5 -p1 -b .nodesktops
%patch8 -p1 -b .extrapixmaps
%patch9 -p1 -b .rectfix
%if %{enable_japanese}
%patch11 -p1 -b .multibyte
%endif
%patch12 -p1 -b .nbsp
## now done via config file
## %patch14 -p1 -b .defaultapplets
%patch15 -p1 -b .redhatdefaults
%patch17 -p1 -b .kdesubmenus
%patch20 -p1 -b .norootscreensaver
%patch21 -p1 -b .changeaccels
%patch22 -p1 -b .nothumbnailing
%patch23 -p1 -b .nohttp
%patch25 -p1 -b .newinfopath
%patch29 -p1 -b .noanotherlevel
#%patch30 -p1 -b .multibyteoption
# don't name the toplevel menu "Programs,", instead "GNOME Programs."  
# The foot menu hardcodes it anyway, and it looks strange in KDE when
# listed as "Programs."
%patch31 -p1 -b .bettername
%patch34 -p1 -b .rhsplashimage
%patch35 -p1 -b .noborder
%patch38 -p1 -b .starthere
%patch40 -p1 -b .nonoxalf
%patch41 -p1 -b .icon
%patch45 -p1 -b .noautosave
%patch46 -p1 -b .defaultmagicdev
%patch47 -p1 -b .handlenopanel
%patch48 -p1 -b .nohint
%patch49 -p1 -b .killoafd
%patch50 -p1 -b .var-run
%patch51 -p1 -b .rundialog
%patch52 -p1 -b .translatefont
%patch53 -p1 -b .programsname
%patch54 -p1 -b .nodesktopatall
%patch55 -p1 -b .winlayer

%build
# libbz2 patch modified acconfig.h, configure.in
autoheader
automake
autoconf
%configure --with-kde-datadir=/usr/share --with-window-manager=sawfish
OLD_PO_FILE_INPUT=yes make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin
install -m 755 %{SOURCE9} $RPM_BUILD_ROOT%{_prefix}/bin/gnome-upgrade.py
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/gnome-upgrade/glade/
install -m 644 %{SOURCE10} $RPM_BUILD_ROOT%{_prefix}/share/gnome-upgrade/glade/gnome-upgrade.glade

mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin
install -m 755 %{SOURCE15} $RPM_BUILD_ROOT%{_prefix}/bin/sawmill-replace.sh

%makeinstall

# Now owned by Netscape pkg
rm -f $RPM_BUILD_ROOT%{_prefix}/share/pixmaps/netscape.png

# remove menu item for gnome-help-browser
rm -f $RPM_BUILD_ROOT%{_prefix}/share/gnome/apps/gnome-help.desktop

## move clock applet, gnome-applets doesn't include Clocks subdir
cd $RPM_BUILD_ROOT%{_prefix}/share/applets
mv Clocks/clock_applet.desktop .
# nuke clocks dir
/bin/rm -rf Clocks

#remove file manager link from programs menu
/bin/rm -rf $RPM_BUILD_ROOT%{_prefix}/share/gnome/apps/Gmc.desktop

cd $RPM_BUILD_DIR/%{name}-%{version}

%find_lang %name

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/lib/lib*.so.*
%{prefix}/share/applets
%{prefix}/share/gnome
%{prefix}/share/gnome/apps
%{prefix}/share/gnome/help
%{prefix}/share/gnome/hints
%{prefix}/share/gnome-about
%{prefix}/share/gnome-terminal
%{prefix}/share/idl
%{prefix}/share/gnome-upgrade/glade/*
%{prefix}/share/gnome/panel
# %{prefix}/share/mc/templates
%{prefix}/share/control-center/*
%{prefix}/share/pixmaps/*
%config %{_sysconfdir}/*
%config %{prefix}/share/gnome/default.session
%config %{prefix}/share/gnome/default.wm
# These are in gnome-core because the shared-library applets need the .so files around
%{prefix}/lib/lib*.so

%files devel
%defattr(-, root, root)

%{prefix}/lib/*.sh
%{prefix}/lib/*a
%{prefix}/include/*

%changelog
* Wed Sep  5 2001 Havoc Pennington <hp@redhat.com>
- let's try that again - s/WIN_LAYER_BELOW/WIN_LAYER_NORMAL/

* Wed Sep  5 2001 Havoc Pennington <hp@redhat.com>
- add gross s/WIN_LAYER_ABOVE_DOCK/WIN_LAYER_NORMAL/ to work around
  Sawfish bug #52859

* Fri Aug 31 2001 Havoc Pennington <hp@redhat.com>
- move removal of help browser and netscape icon 
  after %makeinstall - I don't understand how 
  this ever worked, but I thought it did work 
  before. Who knows.

* Fri Aug 31 2001 Havoc Pennington <hp@redhat.com>
- new translations
- version in gnome-upgrade.py (upgrader dialog) to 7.2
- remove desktop files for apps not in gnome-core

* Tue Aug 28 2001 Havoc Pennington <hp@redhat.com>
- update ja/ko po files with some more translations from 
  Nakai

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com
- remove cjk pofiles that were in this package before
  (assuming the same translations were in CVS)

* Mon Aug 20 2001 Owen Taylor <otaylor@redhat.com>
- Mark upgrader as run-before on initial login (#52079)

* Mon Aug 20 2001 Alex Larsson <alexl@redhat.com> 1.4.0.4-31
- Own /usr/share/gnome
- Fixes #51159

* Thu Aug 16 2001 Havoc Pennington <hp@redhat.com>
- in gnome-upgrade.py, delete extra floppy links from gmc,
  resolves #51437

* Wed Aug 15 2001 Havoc Pennington <hp@redhat.com>
- s/GNOME Programs/Programs/ in .directory file, #51664
- run default g-t font through gettext, #51694

* Tue Aug 14 2001 Havoc Pennington <hp@redhat.com>
- increase default size of run dialog in advanced mode
- desensitize Run button when nothing is selected

* Tue Aug 14 2001 Nalin Dahyabhai <nalin@redhat.com> 1.4.0.4-27
- Change the logout dialog's halt/reboot code to look for a lock
  file in /var/run/console if one isn't found in /var/lock/console

* Thu Aug  9 2001 Owen Taylor <otaylor@redhat.com> 1.4.0.4-26
- Fix problem where enlightenment => sawfish upgrades left broken config
- Give full path to shadowman png in upgrader
- Ask user about switching to Raleigh
- If the user didn't have a ~/.gtkrc copy in /etc/skel/.gtkrc
- Add start here to nautilus session entry we add
- Run panel page for 1.2 => 1.4 upgrades

* Fri Aug 08 2001 Alexander Larsson <alexl@redhat.com> 1.4.0.4-25
- *really* disable http support. 

* Fri Aug 03 2001 Havoc Pennington <hp@redhat.com>
- don't install a .desktop file for gnome-help-browser
- make launcher for help go to Nautilus

* Thu Aug 02 2001 Havoc Pennington <hp@redhat.com>
- put in CJK translations from Nakai

* Wed Aug 01 2001 Havoc Pennington <hp@redhat.com>
- "killall -g oafd" on logout, #50095
- move Start Here menu item to top of menu

* Wed Aug 01 2001 Havoc Pennington <hp@redhat.com>
- Don't show hints dialog by default on startup

* Wed Aug  1 2001 Alexander Larsson <alexl@redhat.com> 1.4.0.4-20
- Fixed problem in gnome-upgrade.py when upgrading to raleigh.

* Tue Jul 31 2001 Havoc Pennington <hp@redhat.com>
- add patch so that applets exit instead of starting their own 
  panel, if they can't find a panel
- fix warnings on panel startup ("Can't find panel, putting applet on
  the first one")

* Thu Jul 26 2001 Havoc Pennington <hp@redhat.com>
- Add magicdev to default session, #50026

* Tue Jul 24 2001 Alexander Larsson <alexl@redhat.com>
- Added new splashscreen.
- Removed that patch that removed the frame around the splashscreen.

* Mon Jul 23 2001 Havoc Pennington <hp@redhat.com>
- Apply some changes out of CVS, fix up our patches to 
  work with it
- apply Tagoh's patch to change default g-t font
- turn off automatic session saving

* Thu Jul 19 2001 Alexander Larson <alexl@redhat.com>
- Move the start here menuitem
- Add icon to clock applet
- Open starthere: on initial login

* Wed Jul 18 2001 Havoc Pennington <hp@redhat.com>
- debug_mode = FALSE in gnome-upgrade.py

* Tue Jul 17 2001 Havoc Pennington <hp@redhat.com>
- add some build requires
- remove NO_XALF crackrock

* Mon Jul 16 2001 Jonathan Blandford <jrb@redhat.com>
- no fish!!!

* Thu Jul 12 2001 Alexander Larsson <alexl@redhat.com>
- Remove gmc from Programs menu

* Thu Jul 12 2001 Havoc Pennington <hp@redhat.com>
- #31844 change german translation in bettername patch

* Wed Jul 11 2001 Havoc Pennington <hp@redhat.com>
- tweaks to upgrade script

* Mon Jul 09 2001 Alexander Larsson <alexl@redhat.com>
- Fixed splash screen 
- Added starthere patch
- Moved the start here icon

* Mon Jul 09 2001 Alexander Larsson <alexl@redhat.com>
- Fixed gnome-terminal multibyte patch update
- Remove arrows from panel and deskguid applet.

* Mon Jul 09 2001 Alexander Larsson <alexl@redhat.com>
- Updated to 1.4.0.4
- Updated patch 1, 11, 15, 18, 20
- removed patch 6, was in upstream package.

* Sat Jul 07 2001 Havoc Pennington <hp@redhat.com>
- move desktop file for clock applet
- build requires control-center-devel

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Thu Jun 07 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- allow to compile with newer gettext versions

* Wed May 23 2001 Havoc Pennington <hp@redhat.com>
- fix upgrade script patch to use the upgrade version, instead of 
  a bool
- put Nautilus in default session

* Wed Apr 18 2001 Jonathan Blandford <jrb@redhat.com>
- New version (1.4.0.1)
- Remove old splash-screen patch.

* Sat Apr  7 2001 Preston Brown <pbrown@redhat.com>
- change gnome-upgrade script to refer to 7.1 not 7.0

* Wed Apr  4 2001 Matt Wilson <msw@redhat.com>
- added gnome-core-1.2.4-clock-applet-translation.patch to fix the
  mistranslated clock/hourformat by 6 languages

* Thu Mar 15 2001 Havoc Pennington <hp@redhat.com>
- translations

* Wed Mar 14 2001 Preston Brown <pbrown@redhat.com>
- make Programs menu show up with a better name in KDE.  Doesn't affect GNOME.

* Mon Mar  5 2001 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild in new environment

* Thu Mar 01 2001 Havoc Pennington <hp@redhat.com>
- don't crash on clicking splash screen
- add patches from Tim to fix up thumbnailing; put thumbnailing back in the 
  prefs dialog

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify

* Tue Feb 13 2001 Havoc Pennington <hp@redhat.com>
- patch to get rid of anotherlevel AGAIN fixes bug 27094
- patch to add a check to the configuration dialog "enable multibyte
  support" which toggles whether we use gdk_font_load() or gdk_fontset_load().
  may help with 8-bit single byte encodings. bug 27073

* Wed Feb 07 2001 Havoc Pennington <hp@redhat.com>
- patch from John Harper so SM works with KDE apps
- patch from John Harper to handle cancelling a session shutdown
- patch from George to fix Ctrl-Shift-R

* Mon Feb 05 2001 Elliot Lee <sopwith@redhat.com> 1.2.4-[45]
- newinfopath.patch to fix 23553
- nothumbnailing2.patch to fix 24905
- Make pkg require gnome-libs >= 1.2.0
- Add gnome-core-nohttp.patch to close bug #17150
- Remove netscape.png to close bug #21044

* Tue Jan 30 2001 Havoc Pennington <hp@redhat.com>
- disable thumbnailing in pager by default, you can't see it with the 2x2 
  pager anyhow, and it eats CPU

* Mon Jan 22 2001 Havoc Pennington <hp@redhat.com>
- enable new version of gnome-terminal multibyte patch from Akira

* Fri Jan 19 2001 Havoc Pennington <hp@redhat.com>
- 1.2.4
- remove libz2 patch, gone upstream
- temporarily disable the gnome-terminal multibyte patch; the pofile
  changes are going to conflict in a hard-to-resolve way on every
  upgrade :-( maybe instead of a patch, a small script that updates
  the po files and does s///g to insert the translations we have, that
  will work on future versions?
- explode redhatdefaults into multiple smaller patches, and port it 
  to new panel version
- don't apply menu merge patch, since it appears George wrote an upstream 
  version of it; but leave the patch in the SRPM since it's lots of 
  code we may need again
- remove "no anotherlevel" patch, merged upstream
- port assorted patches to 1.2.4
- remove panelrc from file list, no longer in the tarball

* Thu Jan 18 2001 Akira TAGOH <tagoh@redhat.com>
- Installed gnome-libs-1.2.8-1 on buildfarm.

* Thu Jan 18 2001 Akira TAGOH <tagoh@redhat.com>
- Added gnome-terminal's japanese patch.

* Mon Oct 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- call /usr/bin/poweroff instead of /usr/bin/halt for halting the system

* Thu Aug 31 2000 Bill Nottingham <notting@redhat.com>
- take out the ExcludeArch: ia64

* Wed Aug 30 2000 Jonathan Blandford <jrb@redhat.com>
- Fix gnome-upgrade to now say Red Hat Linux 7.0 instead of Red
  Hat 7.0.  Also, make gnome-core require Sawfish

* Wed Aug 23 2000 Jonathan Blandford <jrb@redhat.com>
- Fix gnome-upgrade to popup when you upgrade.

* Wed Aug 23 2000 Owen Taylor <otaylor@redhat.com>
- Load and save splashscreen with GIMP to fix warning message
  from libpng.
- Change halt and reboot commands to /usr/bin/halt,reboot, instead
  of /usr/bin/shutdown, which no longer exists.

* Wed Aug 09 2000 Havoc Pennington <hp@redhat.com>
- Epoch 1
- Fix gnome-hint to tell about the proper accelerator for panel menu

* Mon Aug 07 2000 Havoc Pennington <hp@redhat.com>
- Add script "sawmill-replace.sh" and run it on files that might contain 
  sawfish, from inside gnome-upgrade.py

* Mon Aug 07 2000 Havoc Pennington <hp@redhat.com>
- Don't add the xscreensaver icon by default if we are root, bug 15006

* Thu Aug 03 2000 Owen Taylor <otaylor@redhat.com>
- Implement the logout effect in a slightly different way to
  avoid extreme slowness on fbdev X driver. 

* Wed Aug 02 2000 Havoc Pennington <hp@redhat.com>
- Pack icons together (don't leave a gap)

* Tue Aug 01 2000 Havoc Pennington <hp@redhat.com>
- Cosmetic enhancements for the splash

* Tue Aug 01 2000 Havoc Pennington <hp@redhat.com>
- Use the Red Hat splash screen, not a nonexistent Helix file

* Tue Aug 01 2000 Havoc Pennington <hp@redhat.com>
- Splash screen

* Mon Jul 31 2000 Havoc Pennington <hp@redhat.com>
- Set the transient-for hint on the gnome-terminal preferences window 

* Fri Jul 28 2000 Jonathan Blandford <jrb@redhat.com>
- Make dependant on pygnome-libglade, otherwise the gnome-upgrade.py druid
  won't work

* Tue Jul 25 2000 Havoc Pennington <hp@redhat.com>
- Fix netscape launcher yet again (one-character diff, 
  string was being compared to a char instead of first char
  of string being compared to a char)

* Fri Jul 21 2000 Owen Taylor <otaylor@redhat.com>
- Another attempt at netscape launcher fix

* Fri Jul 21 2000 Owen Taylor <otaylor@redhat.com>
- Fix to look for netscape launcher in the right place

* Wed Jul 19 2000 Havoc Pennington <hp@redhat.com>
- kill son of the return of anotherlevel

* Wed Jul 19 2000 Havoc Pennington <hp@redhat.com>
- Remove everything related to AnotherLevel
- Run automake so that Matt's Makefile.am hacks take effect.

* Thu Jul 18 2000 Jonathan Blandford <jrb@redhat.com>
- got the gnome-upgrader to now work with out contacting the session manager
  As it is being run from the session manager, it wouldn't work.

* Mon Jul 17 2000 Matt Wilson <msw@redhat.com>
- replaced netscape.png with an official netscape logo
- don't install .desktop files for packages that provide them in
  their own packages

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 11 2000 Havoc Pennington <hp@redhat.com>
- Spell out "Control" in keyboard shortcuts so panel can figure it out

* Sat Jul 8 2000 Havoc Pennington <hp@redhat.com>
- remove Docdir
 
* Mon Jun  19 2000 Jonathan Blandford <jrb@redhat.com>
- added an upgrading druid to move people's gnome environments over.

* Sat Jun  17 2000 Owen Taylor <otaylor@redhat.com>
- Integrate back in menu-merging patch

* Fri Jun  16 2000 Havoc Pennington <hp@redhat.com>
- Fix default keep-menus-in-memory tlhing
- Try to bump the Red Hat and GNOME submenus out of the KDE submenu
- Remove AnotherLevel submenu

* Fri Jun  16 2000 Havoc Pennington <hp@redhat.com>
- Default to keep menus in memory
- More reliable check for whether we're on a machine with a battery

* Thu Jun  15 2000 Havoc Pennington <hp@redhat.com>
- Change key shortcut defaults to not conflict with window manager ones
- 1.2.1

* Thu Jun  15 2000 Havoc Pennington <hp@redhat.com>
- Hack defaults to have no foobar, add clock and desk guide to 
  default normal panel, if /proc/apm exists add battery monitor,
  remove logout button and status tray from default
- Change default to small menu icons

* Thu Jun  1 2000 Matt Wilson <msw@redhat.com>
- 1.2.0
- build against libbz2 1.0

* Fri May 12 2000 Matt Wilson <msw@redhat.com>
- integrate some 1.0.55 patches - there are a lot of them

* Sat May  6 2000 Matt Wilson <msw@redhat.com>
- Red Hat-ified helix RPM

